grst-delegation.c File Reference

## Functions

int | main (int argn, char *argv[])
char * | get_dn (void)
int | ns__getProxyReq (struct soap *soap, char *delegation_id, struct ns__getProxyReqResponse *response)
int | ns__getNewProxyReq (struct soap *soap, struct ns__getNewProxyReqResponse *response)
int | ns__putProxy (struct soap *soap, char *delegation_id, char *proxy, struct ns__putProxyResponse *response)
int | ns__renewProxyReq (struct soap *soap, char *delegation_id, struct ns__renewProxyReqResponse *response)
int | ns__getTerminationTime (struct soap *soap, char *delegation_id, struct ns__getTerminationTimeResponse *response)
int | ns__destroy (struct soap *soap, char *delegation_id, struct ns__destroyResponse *response)

## Function Documentation

## get_dn()

char * get_dn | ( | void |  | ) |

## main()

int main | ( | int | argn,
|  | char * | argv[] )

## ns__destroy()

int ns__destroy | ( | struct soap * | soap,
|  | char * | _delegationID,
|  | struct ns__destroyResponse * | _param_1 )

Web service operation 'ns__destroy' implementation, should return SOAP_OK or error code

## ns__getNewProxyReq()

int ns__getNewProxyReq | ( | struct soap * | soap,
|  | struct ns__getNewProxyReqResponse * | _param_1 )

Web service operation 'ns__getNewProxyReq' implementation, should return SOAP_OK or error code

## ns__getProxyReq()

int ns__getProxyReq | ( | struct soap * | soap,
|  | char * | _delegationID,
|  | struct ns__getProxyReqResponse * | _param_1 )

Web service operation 'ns__getProxyReq' implementation, should return SOAP_OK or error code

## ns__getTerminationTime()

int ns__getTerminationTime | ( | struct soap * | soap,
|  | char * | _delegationID,
|  | struct ns__getTerminationTimeResponse * | _param_1 )

Web service operation 'ns__getTerminationTime' implementation, should return SOAP_OK or error code

## ns__putProxy()

int ns__putProxy | ( | struct soap * | soap,
|  | char * | _delegationID,
|  | char * | _proxy,
|  | struct ns__putProxyResponse * | _param_1 )

Web service operation 'ns__putProxy' implementation, should return SOAP_OK or error code

## ns__renewProxyReq()

int ns__renewProxyReq | ( | struct soap * | soap,
|  | char * | _delegationID,
|  | struct ns__renewProxyReqResponse * | _param_1 )

Web service operation 'ns__renewProxyReq' implementation, should return SOAP_OK or error code